#define NUM_TRANSFORMS 36
#define NUM_REGISTERS 6
#define TOTAL_TRANSFORMS 9

struct myVector {float x, y, z;};
typedef void transform (myVector *source, myVector *control, myVector *dest);

unsigned short myRand (void);

void projection (myVector *source, myVector *control, myVector *dest);
void shift (myVector *source, myVector *control, myVector *dest);
void shiftBack (myVector *source, myVector *control, myVector *dest);
void rotate (myVector *source, myVector *control, myVector *dest);
void rotate2 (myVector *source, myVector *control, myVector *dest);
void multiply (myVector *source, myVector *control, myVector *dest);
void sine (myVector *source, myVector *control, myVector *dest);
void conditional (myVector *source, myVector *control, myVector *dest);
void complement (myVector *source, myVector *control, myVector *dest);

void myDraw(AndroidBitmapInfo*  info, void*  pixels, int gVariation);

transform* transformList[] = {&projection, &shift, &shiftBack, &rotate, &rotate2, &multiply, &sine, &conditional, &complement};

short transformSequence[9][NUM_TRANSFORMS], source[9][NUM_TRANSFORMS], control[9][NUM_TRANSFORMS], dest[9][NUM_TRANSFORMS];
//short coarseness;
