package de.killig.qbist;

public class MyThreadGroup extends ThreadGroup {

	public MyThreadGroup(String name) {
		super(name);
	}

	public MyThreadGroup(ThreadGroup parent, String name) {
		super(parent, name);
	}
	
	public final void join() {
		Thread[] ta = new Thread[activeCount()];
		enumerate(ta);
		for (Thread thr : ta) {
      try {
				thr.join();
			} catch (InterruptedException e) {
				while(thr.isAlive());
			}
    }
	}


}
